import { AgnosticAttribute, AgnosticBreadcrumb, AgnosticMediaGalleryItem, AgnosticPrice, ProductGetters as ProductGettersBase } from '@vue-storefront/core';
import { Category, Product } from '@vue-storefront/magento-api';
declare type ProductVariantFilters = any;
export declare const getName: (product: Product) => string;
export declare const getSlug: (product: Product, category?: Category) => string;
export declare const getPrice: (product: Product) => AgnosticPrice;
export declare const getGallery: (product: Product) => AgnosticMediaGalleryItem[];
export declare const getCoverImage: (product: Product) => string;
export declare const getProductThumbnailImage: (product: Product) => string;
export declare const getFiltered: (products: Product[], _filters?: ProductVariantFilters | any) => Product[];
export declare const getAttributes: (products: Product, _filterByAttributeName?: string[]) => Record<string, AgnosticAttribute | string>;
export declare const getDescription: (product: Product) => string;
export declare const getShortDescription: (product: Product) => string;
export declare const getCategoryIds: (product: Product) => string[];
export declare const getCategory: (product: Product, currentUrlPath: string) => Category | null;
export declare const getId: (product: Product) => string;
export declare const getProductSku: (product: Product) => string;
export declare const getTypeId: (product: Product) => string;
export declare const getFormattedPrice: (price: number) => string;
export declare const getBreadcrumbs: (product: Product, category?: Category) => AgnosticBreadcrumb[];
export declare const getTotalReviews: (review: (Pick<import("@vue-storefront/magento-api").BundleProduct, "review_count"> & {
    reviews: {
        items: (Pick<import("@vue-storefront/magento-api/lib/types/GraphQL").ProductReview, "average_rating" | "nickname" | "summary" | "text" | "created_at"> & {
            ratings_breakdown: Pick<import("@vue-storefront/magento-api").ProductReviewRating, "name" | "value">[];
            product: Pick<import("@vue-storefront/magento-api").BundleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").ConfigurableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").DownloadableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").GroupedProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").SimpleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").VirtualProduct, "name" | "uid">;
        })[];
        page_info: Pick<import("@vue-storefront/magento-api").SearchResultPageInfo, "current_page" | "page_size" | "total_pages">;
    };
}) | (Pick<import("@vue-storefront/magento-api").ConfigurableProduct, "review_count"> & {
    reviews: {
        items: (Pick<import("@vue-storefront/magento-api/lib/types/GraphQL").ProductReview, "average_rating" | "nickname" | "summary" | "text" | "created_at"> & {
            ratings_breakdown: Pick<import("@vue-storefront/magento-api").ProductReviewRating, "name" | "value">[];
            product: Pick<import("@vue-storefront/magento-api").BundleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").ConfigurableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").DownloadableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").GroupedProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").SimpleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").VirtualProduct, "name" | "uid">;
        })[];
        page_info: Pick<import("@vue-storefront/magento-api").SearchResultPageInfo, "current_page" | "page_size" | "total_pages">;
    };
}) | (Pick<import("@vue-storefront/magento-api").DownloadableProduct, "review_count"> & {
    reviews: {
        items: (Pick<import("@vue-storefront/magento-api/lib/types/GraphQL").ProductReview, "average_rating" | "nickname" | "summary" | "text" | "created_at"> & {
            ratings_breakdown: Pick<import("@vue-storefront/magento-api").ProductReviewRating, "name" | "value">[];
            product: Pick<import("@vue-storefront/magento-api").BundleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").ConfigurableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").DownloadableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").GroupedProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").SimpleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").VirtualProduct, "name" | "uid">;
        })[];
        page_info: Pick<import("@vue-storefront/magento-api").SearchResultPageInfo, "current_page" | "page_size" | "total_pages">;
    };
}) | (Pick<import("@vue-storefront/magento-api").GroupedProduct, "review_count"> & {
    reviews: {
        items: (Pick<import("@vue-storefront/magento-api/lib/types/GraphQL").ProductReview, "average_rating" | "nickname" | "summary" | "text" | "created_at"> & {
            ratings_breakdown: Pick<import("@vue-storefront/magento-api").ProductReviewRating, "name" | "value">[];
            product: Pick<import("@vue-storefront/magento-api").BundleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").ConfigurableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").DownloadableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").GroupedProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").SimpleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").VirtualProduct, "name" | "uid">;
        })[];
        page_info: Pick<import("@vue-storefront/magento-api").SearchResultPageInfo, "current_page" | "page_size" | "total_pages">;
    };
}) | (Pick<import("@vue-storefront/magento-api").SimpleProduct, "review_count"> & {
    reviews: {
        items: (Pick<import("@vue-storefront/magento-api/lib/types/GraphQL").ProductReview, "average_rating" | "nickname" | "summary" | "text" | "created_at"> & {
            ratings_breakdown: Pick<import("@vue-storefront/magento-api").ProductReviewRating, "name" | "value">[];
            product: Pick<import("@vue-storefront/magento-api").BundleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").ConfigurableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").DownloadableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").GroupedProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").SimpleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").VirtualProduct, "name" | "uid">;
        })[];
        page_info: Pick<import("@vue-storefront/magento-api").SearchResultPageInfo, "current_page" | "page_size" | "total_pages">;
    };
}) | (Pick<import("@vue-storefront/magento-api").VirtualProduct, "review_count"> & {
    reviews: {
        items: (Pick<import("@vue-storefront/magento-api/lib/types/GraphQL").ProductReview, "average_rating" | "nickname" | "summary" | "text" | "created_at"> & {
            ratings_breakdown: Pick<import("@vue-storefront/magento-api").ProductReviewRating, "name" | "value">[];
            product: Pick<import("@vue-storefront/magento-api").BundleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").ConfigurableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").DownloadableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").GroupedProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").SimpleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").VirtualProduct, "name" | "uid">;
        })[];
        page_info: Pick<import("@vue-storefront/magento-api").SearchResultPageInfo, "current_page" | "page_size" | "total_pages">;
    };
})) => number;
export declare const getAverageRating: (review: (Pick<import("@vue-storefront/magento-api").BundleProduct, "review_count"> & {
    reviews: {
        items: (Pick<import("@vue-storefront/magento-api/lib/types/GraphQL").ProductReview, "average_rating" | "nickname" | "summary" | "text" | "created_at"> & {
            ratings_breakdown: Pick<import("@vue-storefront/magento-api").ProductReviewRating, "name" | "value">[];
            product: Pick<import("@vue-storefront/magento-api").BundleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").ConfigurableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").DownloadableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").GroupedProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").SimpleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").VirtualProduct, "name" | "uid">;
        })[];
        page_info: Pick<import("@vue-storefront/magento-api").SearchResultPageInfo, "current_page" | "page_size" | "total_pages">;
    };
}) | (Pick<import("@vue-storefront/magento-api").ConfigurableProduct, "review_count"> & {
    reviews: {
        items: (Pick<import("@vue-storefront/magento-api/lib/types/GraphQL").ProductReview, "average_rating" | "nickname" | "summary" | "text" | "created_at"> & {
            ratings_breakdown: Pick<import("@vue-storefront/magento-api").ProductReviewRating, "name" | "value">[];
            product: Pick<import("@vue-storefront/magento-api").BundleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").ConfigurableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").DownloadableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").GroupedProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").SimpleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").VirtualProduct, "name" | "uid">;
        })[];
        page_info: Pick<import("@vue-storefront/magento-api").SearchResultPageInfo, "current_page" | "page_size" | "total_pages">;
    };
}) | (Pick<import("@vue-storefront/magento-api").DownloadableProduct, "review_count"> & {
    reviews: {
        items: (Pick<import("@vue-storefront/magento-api/lib/types/GraphQL").ProductReview, "average_rating" | "nickname" | "summary" | "text" | "created_at"> & {
            ratings_breakdown: Pick<import("@vue-storefront/magento-api").ProductReviewRating, "name" | "value">[];
            product: Pick<import("@vue-storefront/magento-api").BundleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").ConfigurableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").DownloadableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").GroupedProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").SimpleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").VirtualProduct, "name" | "uid">;
        })[];
        page_info: Pick<import("@vue-storefront/magento-api").SearchResultPageInfo, "current_page" | "page_size" | "total_pages">;
    };
}) | (Pick<import("@vue-storefront/magento-api").GroupedProduct, "review_count"> & {
    reviews: {
        items: (Pick<import("@vue-storefront/magento-api/lib/types/GraphQL").ProductReview, "average_rating" | "nickname" | "summary" | "text" | "created_at"> & {
            ratings_breakdown: Pick<import("@vue-storefront/magento-api").ProductReviewRating, "name" | "value">[];
            product: Pick<import("@vue-storefront/magento-api").BundleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").ConfigurableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").DownloadableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").GroupedProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").SimpleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").VirtualProduct, "name" | "uid">;
        })[];
        page_info: Pick<import("@vue-storefront/magento-api").SearchResultPageInfo, "current_page" | "page_size" | "total_pages">;
    };
}) | (Pick<import("@vue-storefront/magento-api").SimpleProduct, "review_count"> & {
    reviews: {
        items: (Pick<import("@vue-storefront/magento-api/lib/types/GraphQL").ProductReview, "average_rating" | "nickname" | "summary" | "text" | "created_at"> & {
            ratings_breakdown: Pick<import("@vue-storefront/magento-api").ProductReviewRating, "name" | "value">[];
            product: Pick<import("@vue-storefront/magento-api").BundleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").ConfigurableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").DownloadableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").GroupedProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").SimpleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").VirtualProduct, "name" | "uid">;
        })[];
        page_info: Pick<import("@vue-storefront/magento-api").SearchResultPageInfo, "current_page" | "page_size" | "total_pages">;
    };
}) | (Pick<import("@vue-storefront/magento-api").VirtualProduct, "review_count"> & {
    reviews: {
        items: (Pick<import("@vue-storefront/magento-api/lib/types/GraphQL").ProductReview, "average_rating" | "nickname" | "summary" | "text" | "created_at"> & {
            ratings_breakdown: Pick<import("@vue-storefront/magento-api").ProductReviewRating, "name" | "value">[];
            product: Pick<import("@vue-storefront/magento-api").BundleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").ConfigurableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").DownloadableProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").GroupedProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").SimpleProduct, "name" | "uid"> | Pick<import("@vue-storefront/magento-api").VirtualProduct, "name" | "uid">;
        })[];
        page_info: Pick<import("@vue-storefront/magento-api").SearchResultPageInfo, "current_page" | "page_size" | "total_pages">;
    };
})) => number;
export declare const getProductRelatedProduct: (product: Product) => Product[];
export declare const getProductUpsellProduct: (product: Product) => Product[];
export declare const getSwatchData: (swatchData: Product['configurable_options'][0]['values'][0]['swatch_data']) => string | undefined;
export interface ProductGetters extends ProductGettersBase<Product, ProductVariantFilters> {
    getCategory(product: Product, currentUrlPath: string): Category | null;
    getProductRelatedProduct(product: Product): Product[];
    getProductSku(product: Product): string;
    getProductThumbnailImage(product: Product): string;
    getProductUpsellProduct(product: Product): Product[];
    getShortDescription(product: Product): string;
    getSlug(product: Product, category?: Category): string;
    getTypeId(product: Product): string;
    getSwatchData(swatchData: Product['configurable_options'][0]['values'][0]['swatch_data']): string | undefined;
}
declare const productGetters: ProductGetters;
export default productGetters;
//# sourceMappingURL=productGetters.d.ts.map