import { ReviewGetters, AgnosticRateCount } from '@vue-storefront/core';
import { ProductReview, ProductReviewRatingMetadata, ProductReviews, ReviewMetadata } from '@vue-storefront/magento-api';
import { AgnosticReviewMetadata } from '../../types';
export declare const getItems: (review: ProductReviews) => ProductReview[];
export declare const getReviewId: (item: ProductReview) => string;
export declare const getReviewAuthor: (item: ProductReview) => string;
export declare const getReviewMessage: (item: ProductReview) => string;
export declare const getReviewRating: (item: ProductReview) => number;
export declare const getReviewDate: (item: ProductReview) => string;
export declare const getTotalReviews: (review: ProductReviews) => number;
export declare const getAverageRating: (review: ProductReviews) => number;
export declare const getRatesCount: (_review: ProductReviews) => AgnosticRateCount[];
export declare const getReviewsPage: (review: ProductReviews) => number;
export declare const getReviewMetadata: (reviewData: ProductReviewRatingMetadata[]) => AgnosticReviewMetadata[];
export declare const getProductName: (review: ProductReview) => string;
interface MagentoReviewGetters extends ReviewGetters<ProductReviews, ProductReview> {
    getReviewMetadata(reviewData: ReviewMetadata[]): AgnosticReviewMetadata[];
    getProductName(reviewData: ProductReview): string;
}
declare const reviewGetters: MagentoReviewGetters;
export default reviewGetters;
//# sourceMappingURL=reviewGetters.d.ts.map