import { WishlistGetters as BaseWishlistGetters, AgnosticPrice, AgnosticTotals, AgnosticPagination } from '@vue-storefront/core';
import { WishlistOutput, WishlistItem } from '@vue-storefront/magento-api';
declare type Wishlist = WishlistOutput;
declare type WishlistProduct = WishlistItem;
export declare const getItems: (wishlist: Wishlist) => WishlistProduct[];
export declare const getItemName: (product: WishlistProduct) => string;
export declare const getItemImage: (product: WishlistProduct) => string;
export declare const getItemPrice: (product: WishlistProduct) => AgnosticPrice;
export declare const getItemQty: (product: WishlistProduct) => number;
export declare const getItemAttributes: (product: WishlistProduct, filterByAttributeName?: string[]) => {
    '': string;
};
export declare const getItemSku: (product: WishlistProduct) => string;
export declare const getTotals: (wishlist: Wishlist) => AgnosticTotals;
export declare const getShippingPrice: (wishlist: Wishlist) => number;
export declare const getTotalItems: (wishlist: Wishlist) => number;
export declare const getFormattedPrice: (price: number) => string;
export interface WishlistGetters extends BaseWishlistGetters<Wishlist, WishlistProduct> {
    getShippingPrice(wishlist: Wishlist): number;
    getItemQty(product: WishlistProduct): number;
    getPagination(wishlistData: any): AgnosticPagination;
    getProducts(wishlistData: any): {
        product: WishlistProduct;
        quantity: number;
        added_at: string;
    }[];
}
declare const wishlistGetters: WishlistGetters;
export default wishlistGetters;
//# sourceMappingURL=wishlistGetters.d.ts.map