import { Context, CustomQuery, FactoryParams } from '@vue-storefront/core';
import { CustomQueryParams, UseAddresses } from '../types/composables';
export interface UseAddressesParams<ADDRESS, LOAD_ADDRESS_PARAMS extends {
    customQuery?: CustomQuery;
} = CustomQueryParams, SAVE_ADDRESS_PARAMS extends {
    customQuery?: CustomQuery;
} = CustomQueryParams, UPDATE_ADDRESS_PARAMS extends {
    customQuery?: CustomQuery;
} = CustomQueryParams, REMOVE_ADDRESS_PARAMS extends {
    customQuery?: CustomQuery;
} = CustomQueryParams> extends FactoryParams {
    load: (context: Context, params?: LOAD_ADDRESS_PARAMS) => Promise<ADDRESS[]>;
    save: (context: Context, params: SAVE_ADDRESS_PARAMS) => Promise<ADDRESS>;
    update: (context: Context, params: UPDATE_ADDRESS_PARAMS) => Promise<ADDRESS>;
    remove: (context: Context, params: REMOVE_ADDRESS_PARAMS) => Promise<boolean>;
}
export declare const useAddressesFactory: <ADDRESS, LOAD_ADDRESS_PARAMS extends {
    customQuery?: CustomQuery;
}, SAVE_ADDRESS_PARAMS extends {
    customQuery?: CustomQuery;
}, UPDATE_ADDRESS_PARAMS extends {
    customQuery?: CustomQuery;
}, REMOVE_ADDRESS_PARAMS extends {
    customQuery?: CustomQuery;
}>(factoryParams: UseAddressesParams<ADDRESS, LOAD_ADDRESS_PARAMS, SAVE_ADDRESS_PARAMS, UPDATE_ADDRESS_PARAMS, REMOVE_ADDRESS_PARAMS>) => () => UseAddresses<ADDRESS, LOAD_ADDRESS_PARAMS, SAVE_ADDRESS_PARAMS, UPDATE_ADDRESS_PARAMS, REMOVE_ADDRESS_PARAMS>;
//# sourceMappingURL=useAddressesFactory.d.ts.map