import { Ref } from 'vue-demi';
import { Context, CustomQuery, FactoryParams } from '@vue-storefront/core';
import { UsePaymentProvider } from '../types/composables';
export interface UsePaymentProviderParams<STATE, PAYMENT_METHOD> extends FactoryParams {
    load: (context: Context, params: {
        state: Ref<STATE>;
        customQuery?: CustomQuery;
    }) => Promise<STATE>;
    save: (context: Context, params: {
        state: Ref<STATE>;
        paymentMethod: PAYMENT_METHOD;
        customQuery?: CustomQuery;
    }) => Promise<STATE>;
}
export declare const usePaymentProviderFactory: <STATE, PAYMENT_METHOD>(factoryParams: UsePaymentProviderParams<STATE, PAYMENT_METHOD>) => () => UsePaymentProvider<STATE, PAYMENT_METHOD>;
//# sourceMappingURL=usePaymentProviderFactory.d.ts.map