import { ComposableFunctionArgs, Context, CustomQuery, FactoryParams } from '@vue-storefront/core';
import { UseReview } from '../types/composables';
export interface UseReviewFactoryParams<REVIEW, REVIEWS_SEARCH_PARAMS, REVIEWS_USER_SEARCH_PARAMS, REVIEW_ADD_PARAMS, REVIEW_METADATA> extends FactoryParams {
    searchReviews: (context: Context, params: ComposableFunctionArgs<REVIEWS_SEARCH_PARAMS>) => Promise<REVIEW>;
    addReview: (context: Context, params: REVIEW_ADD_PARAMS & {
        customQuery?: CustomQuery;
    }) => Promise<REVIEW>;
    loadReviewMetadata: (context: Context) => Promise<REVIEW_METADATA[]>;
    loadCustomerReviews: (context: Context, params: ComposableFunctionArgs<REVIEWS_USER_SEARCH_PARAMS>) => Promise<REVIEW>;
}
export declare function useReviewFactory<REVIEW, REVIEWS_SEARCH_PARAMS, REVIEWS_USER_SEARCH_PARAMS, REVIEW_ADD_PARAMS, REVIEW_METADATA>(factoryParams: UseReviewFactoryParams<REVIEW, REVIEWS_SEARCH_PARAMS, REVIEWS_USER_SEARCH_PARAMS, REVIEW_ADD_PARAMS, REVIEW_METADATA>): (id: string) => UseReview<REVIEW, REVIEWS_SEARCH_PARAMS, REVIEWS_USER_SEARCH_PARAMS, REVIEW_ADD_PARAMS, REVIEW_METADATA>;
//# sourceMappingURL=useReviewFactory.d.ts.map